/*
 * Purpose    : header file for Schnell
 * Created on : Wed Nov 21   2001
 * $Id: schnell.h,v 1.5 2002/08/29 21:46:24 nali Exp $
 */

#ifndef SCHNELL_H
#define SCHNELL_H

#define DEFINE_DATA

/**
 * @defgroup schnell schnell
 * @ingroup Programs
 * @{
 */

#include "nghds.h"
#include "msample.h"
#include "lsample.h"
#include "rans.h"
#include "peelie.h"
#include "quant.h"
#include "parsie.h"
#include "pedchk.h"

/* Default iterations for burn in */
#ifndef BURNIN
#define BURNIN 1000
#endif      /* BURNIN */

#ifdef DMALLOC
#include <dmalloc.h>
#endif /* DMALLOC */

/** @} */

#endif      /* SCHNELL_H */

