#include "nghds.h"

/* ------- free_cmplists:  frees the component lists (Indlists) ------- */

void  free_cmplists (void)
{
   int   i;
   Indlist *pcurr, *pnext;

   if (!cmplist)
      return;

   for (i = 1; i <= n_compnts; ++i)
   {
      pnext = cmplist[i].people;
      free ((void *) pnext->current);
      cmplist[i].people = NULL;
      while (pnext)
      {
         pcurr = pnext;
         pnext = pcurr->next;
         pcurr->current = NULL;
         pcurr->next = NULL;
         free ((void *) pcurr);
      }
   }
   free ((void *) cmplist);
   cmplist = NULL;

   return;
}
