#include "parsie.h"

int   tok2int (char *ppT, int *n)
{                                       /* converts from char to integer  */
   char *pEnd;

   errno = 0;
   *n = strtol (ppT, &pEnd, 10);

   if (*pEnd != NUL || errno == ERANGE)
      return !OK;

   return OK;
}

int   tok2real (char *ppT, double *r)
{                                       /* converts from character to double
                                         * must be valid floating point no.  */
   char *pEnd;

   errno = 0;
   *r = strtod (ppT, &pEnd);

   if (*pEnd != NUL || errno == ERANGE)
      return !OK;

   return OK;
}
