#include "stuff.h"

void  free_drop (void)
{
   /* free the data structures defined in globs.h by proc_drop for genedrop   */

   ALLELE_PTR pA;

   if (PRecombMap)
   {
      free (PRecombMap);
      PRecombMap = NULL;
   }
   if (PTraitPars)
   {
      free (PTraitPars);
      PTraitPars = NULL;
   }
   if (PTraitOut)
   {
      free (PTraitOut);
      PTraitOut = NULL;
   }
   if (PAlleleFreq)
   {
      for (pA = PAlleleFreq; pA < PAlleleFreq + NLoci; ++pA)
         free (pA->pCumFreq);

      free (PAlleleFreq);
      PAlleleFreq = NULL;
   }
   return;
}
